require 'hump/gamestate'
require 'game'
require 'menu'
require 'images'
require 'config'

SCALE = 4

function love.load()
	math.randomseed(os.time())
	config = read_config()

	loadfont()
	
	game:restart()
	Gamestate.registerEvents()
	Gamestate.switch(menu)

end

function love.conf(t)
	t.title = "Psyad"
	t.identity = "psyad"
end

function loadfont()
	font = love.graphics.newImageFont("graphics/font2.png",
	        "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789 abcdefghijklmnopqrstuvwxyz:_")
	love.graphics.setFont(font)
end

