local menu = {}

menu.bg = "rtmenu.png"

menu.size = 0

menu.y = 0.225
menu.maxy = 1.0

menu.title = "Change keys"

menu.options = {}

local key_names = {
	{ "left",			"Left: " },
	{ "right",			"Right: " },
	{ "down",			"Down: " },
	{ "up",				"Up: " },
	{ "shoot_left",		"Shoot left: " },
	{ "shoot_right",	"Shoot right: " },
	{ "shoot_down",		"Shoot down: " },
	{ "shoot_up",		"Shoot up: " },
}

for i, v in ipairs(key_names) do
	local bound = config.keys[v[1]]
	if bound then
		local opt = {
			name = v[2] .. "'" .. bound .. "'";
			action = "k";
			key = v[1];
			key_name = v[2]
		}
		menu.options[menu.size] = opt
		menu.size = menu.size + 1
	end
end

menu.options[menu.size] = {
	name = "";
	disabled = true
}

menu.size = menu.size + 1

menu.options[menu.size] = {
	name = "#####Return";
	action = "m";
	menu = "menu_options";
}

menu.esc_action = 0 + menu.size

menu.size = menu.size + 1

return menu

