local images = {}

function get_image_raw(name)
	if not name then
		return
	end

	if not images[name] then
		local img = love.graphics.newImage("graphics/" .. name)
		img:setFilter("nearest", "nearest")
		images[name] = img
	end
	return images[name]
end

function get_image(name)
	return {get_image_raw(name), name}
end

do
	get_image_raw("bg2.png")
	get_image_raw("frok.png")
	get_image_raw("ropo.png")
	get_image_raw("tanc.png")
	get_image_raw("plane.png")
	get_image_raw("plane_m.png")
	get_image_raw("copter.png")
	get_image_raw("copter_m.png")
	get_image_raw("mine.png")
	get_image_raw("monk.png")
	get_image_raw("pum.png")
	get_image_raw("indicator_l.png")
	get_image_raw("indicator_r.png")
	get_image_raw("indicator_u.png")
	get_image_raw("indicator_d.png")
	get_image_raw("ball.png")
	get_image_raw("missile.png")
	get_image_raw("shadow.png")
end

