key_config = {}
key_config.bg = "rtmenu.png"

function key_config:keypressed(key, uni)
	if key ~= "escape" then
		config.keys[self.key] = key
		write_config()
	end
	menu:loadmenu("menu_key", true)
	Gamestate.switch(menu)
end

function key_config:keyreleased(key, uni)
end

function key_config:enter(prev, key, key_name)
	love.graphics.setColorMode("modulate")
	love.graphics.setBackgroundColor(0, 0, 0)
	self.key = key
	self.key_name = key_name
end

function key_config:draw()
	local width = love.graphics.getWidth()
	local height = love.graphics.getHeight()
	local fonth = love.graphics.getFont():getHeight() + 10
	local x = 0
	local y = height/2 - fonth*2

	love.graphics.setColorMode("replace")
	love.graphics.draw(get_image_raw(key_config.bg), 0, 0)
	love.graphics.setColorMode("modulate")

	local text = "Select new key, escape cancels"
	local color = {r=181; g=164; b=126; a=255}

	love.graphics.setColor(0, 0, 0, 200)
	love.graphics.printf(text, x+2, y+2, width, "center")
	love.graphics.setColor(color.r, color.g, color.b, color.a)
	love.graphics.printf(text, x, y, width, "center")
end

function key_config:update(dt)
end

function key_config:leave() 
end

function key_config:mousepressed()
end

function key_config:mousereleased()
end
