local menu = {}

menu.y = 0.45

menu.bg = "rtmenu.png"

menu.title = "Options"

menu.size = 3

menu.esc_action = 2

local function set_sounds(mute)
	config.sounds.mute = mute
	if mute then
		menu.options[1].name = "_Sound: Off"
	else
		menu.options[1].name = "Sound: On"
	end
	write_config()
end

local function set_music(mute)
	config.music.mute = mute
	if mute then
		menu.options[2].name = "_Music: Off"
	else
		menu.options[2].name = "Music: On"
	end
	toggle_music(not mute)
	write_config()
end


menu.options = {
	[0] = {
		name = "Controls";
		action = "m";
		menu = "menu_key";
	};
	[1] = {
		name = "Sound";
		action = "f";
		func = function() 
			set_sounds(not config.sounds.mute)
		end
	};
--[[	[2] = {
		name = "Music";
		action = "f";
		func = function() 
			set_music(not config.music.mute)
		end
	};
	]]
	[2] = {
		name = "Return";
		action = "b";
	};
}

set_sounds(config.sounds.mute)
--set_music(config.music.mute)

return menu

